# prettier-plugin-askama-template
[prettier-plugin-jinja-template](https://github.com/davidodenwald/prettier-plugin-jinja-template) but with patches to work with Askama.

## Install

```bash
npm install --save-dev prettier git+https://git.fetbuk.ru/WerySkok/prettier-plugin-askama-template.git
```

Add the plugin to your `.prettierrc`:
```json
{
  "plugins": ["prettier-plugin-askama-template"]
}
```

## Use

To format basic .html files, you'll have to override the used parser inside your `.prettierrc`:
```json
{
  "overrides": [
    {
      "files": ["*.html"],
      "options": {
        "parser": "askama-template"
      }
    }
  ]
}
```

Run it on all html files in your project:
```bash
npx prettier --write **/*.html
```

If you don't have a prettier config you can run the plugin with this command:
```bash
npx prettier --write **/*.html --plugin=prettier-plugin-askama-template
```